/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.storage;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.util.Enumeration;
import java.util.Hashtable;

/**
     * A test Serializable class, with some atributes and an hashtable
     */
    public class TestClass implements Serializable {
        private int val;
        private String name;
        private Hashtable ht;

        // Default constructor
        public TestClass() {
            val = 0;
            name = null;
            ht = null;
        }

        // Init the class
        public TestClass(String name) {
            val = 9;
            this.name = name;

            ht = new Hashtable(5);
            ht.put("Funambol", "Developers");
            ht.put("John", "Doe");
            ht.put("Andrea", "Doria");
            ht.put("Johann S.", "Bach");
            ht.put("SomeValue", new Integer(10));
        }
        
        public void serialize(DataOutputStream out) throws IOException {
            out.writeInt(val);
            out.writeUTF(name);
            ComplexSerializer.serializeHashTable(out, ht);            
        }

        public void deserialize(DataInputStream in) throws IOException {
            val=in.readInt();
            name=in.readUTF();
            ht=(Hashtable) ComplexSerializer.deserializeHashTable(in);
        }
        
        public String toString(){
            StringBuffer ret = new StringBuffer(this.getClass().getName());
            ret.append("\nval: ").append(val);
            ret.append("\nname: ").append(name).append("\n");
            
            for(Enumeration e = ht.keys(); e.hasMoreElements(); ){
                Object k = e.nextElement();
                ret.append(k).append(": ").append(ht.get(k)).append("\n");
            }
            return ret.toString();
        }
    }