/*
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

package com.funambol.util;

import jmunit.framework.cldc10.TestCase;
import jmunit.framework.cldc10.AssertionFailedException;

/**
 * Test Class for RMS Log
 */
public class ConsoleLogTest extends TestCase {

    public ConsoleLogTest() {
        super(4, "JSR75LogTest");
    }
    
    /**
     * Test Cases
     */
    public void test(int testNumber) throws Throwable {
    
        switch(testNumber) {
            case 0: 
                testInitLogFile(); 
                break;
            case 1: 
                testWriteLogFile();
                break;
            default:                    
                break;
        }
    }

    /**
     * Create RMS Log RecordStore
     */ 
    private void testInitLogFile() throws Exception {
        Log.initLog(new ConsoleAppender());
    }

    /**
     * Write one message on RMS Log RecordStore
     */
    private void testWriteLogFile() throws Exception  {
        Log.setLogLevel(Log.ERROR);
        Log.error("This is an ERROR Message");
        Log.setLogLevel(Log.INFO);
        Log.info("This is a INFO Message");
        Log.setLogLevel(Log.TRACE);
        Log.trace("This is a TRACE Message");
        Log.setLogLevel(Log.DEBUG);
        Log.debug("This is a DEBUG Message");
    }
}

